Skip to Content
inclamoDocs

Create a custom filter

POST
/api/v1/accounts/{account_id}/custom_filters

Create a custom filter in the account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

filter_type?string

The type of custom filter

Value in"conversation""contact""report"

Request Body

application/json
  1. body
name?string

The name of the custom filter

type?string

The description about the custom filter

Value in"conversation""contact""report"
query?

A query that needs to be saved as a custom filter

Response Body

Success

application/json
  1. response
id?number

The ID of the custom filter

name?string

The name of the custom filter

type?string

The description about the custom filter

Value in"conversation""contact""report"
query?

A query that needs to be saved as a custom filter

created_at?string

The time at which the custom filter was created

Formatdate-time
updated_at?string

The time at which the custom filter was updated

Formatdate-time
Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/custom_filters' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": 0,  "name": "string",  "type": "conversation",  "query": {},  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}